Subject: Multicast and hardware checksum

From: Baruch Even <[email-masked]>
Date: Fri, 08 Jun 2007 01:33:14 +0300

Hello,

I have a machine on which I have an applications that sends multicast 
through eth interface with hardware tx checksum enabled. On the same 
machine I have mrouted running that routes the multicast traffic to a 
set of ppp interfaces. The packets that are received by the client have 
their checksum fixed on some number which is incorrect. If I disable tx 
checksum on the eth device the packets arrive with the proper checksum.

I still haven't followed the code paths to see how to fix this, maybe 
someone knows the relevant code and can find it faster.

Baruch